using System;
using System.ServiceModel;
using Westwind.Tools;
using System.Text;

namespace WebConnectionWcf
{
    [ServiceContract]
    public interface IWebConnectionService
    {
        [OperationContract]
        byte[] ProcessHit(string RequestData);

        [OperationContract]
        int GetProcessId(int Instance);
    }

    [ServiceBehavior(InstanceContextMode = InstanceContextMode.Single)]
    public class WebConnectionService : IWebConnectionService
    {
    #region IWebConnectionChannel Members

        /// <summary>
        /// The Web Connection Server
        /// </summary>
        public object WebConnectionServer
        {
            get { return _WebConnectionServer; }
            set { _WebConnectionServer = value; }
        }
        private object _WebConnectionServer = null;


        public byte[]  ProcessHit(string RequestData)
        {
            return Encoding.Default.GetBytes( wwUtils.CallMethodCom(this.WebConnectionServer, "ProcessHit", RequestData) as string );
            //return string.Format("<b>Hello World {0}</b>", DateTime.Now));
        }

        public int  GetProcessId(int Instance)
        {
            return 1;
        }

        #endregion
   }
}
